# Purchase and start or restart transfer process (https://developer.godaddy.com/en/docs/references/rest/domains/v1/transfer-in)

---
title: Purchase and start or restart transfer process
description: Initiates an inbound domain transfer from another registrar.
full: true
---

Full description

Initiates an inbound domain transfer from another registrar. Requires an authcode and a consent object with agreement keys. Charges a transfer fee.

## POST /v1/domains/{domain}/transfer

Purchase and start or restart transfer process

Initiates an inbound domain transfer from another registrar. Requires an authcode and a consent object with agreement keys. Charges a transfer fee.

### Path parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `domain` | string | yes | Domain to transfer in |

### Header parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `X-Shopper-Id` | string | no | Shopper ID which owns the domain. NOTE: This is only required if you are a Reseller managing a domain purchased outside the scope of your reseller account. |

### Request body (required)

Details for domain transfer purchase

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/DomainTransferIn`

Content-Type: `application/xml`

Schema:

- schema reference: `#/components/schemas/DomainTransferIn`

Content-Type: `text/xml`

Schema:

- schema reference: `#/components/schemas/DomainTransferIn`

### Responses

**200** — Request was successful

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/DomainPurchaseResponse`

Content-Type: `application/javascript`

Schema:

- schema reference: `#/components/schemas/DomainPurchaseResponse`

Content-Type: `application/xml`

Schema:

- schema reference: `#/components/schemas/DomainPurchaseResponse`

Content-Type: `text/javascript`

Schema:

- schema reference: `#/components/schemas/DomainPurchaseResponse`

Content-Type: `text/xml`

Schema:

- schema reference: `#/components/schemas/DomainPurchaseResponse`

**400** — Request was malformed

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/xml`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/xml`

Schema:

- schema reference: `#/components/schemas/Error`

**401** — Authentication info not sent or invalid

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/xml`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/xml`

Schema:

- schema reference: `#/components/schemas/Error`

**403** — Authenticated user is not allowed access

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/xml`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/xml`

Schema:

- schema reference: `#/components/schemas/Error`

**409** — `domain` (domain) isn't available for transfer

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/xml`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/xml`

Schema:

- schema reference: `#/components/schemas/Error`

**422** — - Based on restrictions declared in JSON schema returned by `./schema/{tld}`
- Cannot convert domain label error
- Domain is missing IDN script
- Domain segment ends with dash
- Domain starts with dash
- Domain uses unsupported IDN script
- End-user must read and consent to all of the following legal agreements
- FQDN fails generic validity regex
- Invalid character(s) error
- Invalid period range
- Invalid tld error
- Non-IDN domain name must not have dashes at the third and fourth position
- Reserved name error
- `authCode` cannot be empty
- `domain` must match `sld.tld`
- domain must be specified

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/xml`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/xml`

Schema:

- schema reference: `#/components/schemas/Error`

**429** — Too many requests received within interval

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/ErrorLimit`

Content-Type: `application/javascript`

Schema:

- schema reference: `#/components/schemas/ErrorLimit`

Content-Type: `application/xml`

Schema:

- schema reference: `#/components/schemas/ErrorLimit`

Content-Type: `text/javascript`

Schema:

- schema reference: `#/components/schemas/ErrorLimit`

Content-Type: `text/xml`

Schema:

- schema reference: `#/components/schemas/ErrorLimit`

**500** — Internal server error

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/xml`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/xml`

Schema:

- schema reference: `#/components/schemas/Error`

**Security:** requires `bearerAuth`.
